FreeBSD : abiword, koffice -- stack based buffer overflow vulnerabilities (9cd52bc6-a213-11da-b410-000e0c2e438a)

Medium Nessus Plugin ID 21486


The remote FreeBSD host is missing one or more security-related updates.


Chris Evans reports that AbiWord is vulnerable to multiple stack-based buffer overflow vulnerabilities. This is caused by improper checking of the user-supplied data before it is being copied to an too small buffer. The vulnerability is triggered when someone is importing RTF files.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 21486

File Name: freebsd_pkg_9cd52bc6a21311dab410000e0c2e438a.nasl

Version: $Revision: 1.19 $

Type: local

Published: 2006/05/13

Modified: 2013/06/22

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.1

Temporal Score: 3.8

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:abiword, p-cpe:/a:freebsd:freebsd:koffice, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2006/02/20

Vulnerability Publication Date: 2005/10/14

Reference Information

CVE: CVE-2005-2972

BID: 15096